# Class TCEFX509CertificateRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFX509Certificate

## Declaration

`type TCEFX509CertificateRef = class(TCefBaseRefCountedRef, ICefX509Certificate)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCEFX509CertificateRef

## Overview

### Methods

| `function GetSubject: ICefX509CertPrincipal;`
| `function GetIssuer: ICefX509CertPrincipal;`
| `function GetSerialNumber: ICefBinaryValue;`
| `function GetValidStart: TCefBaseTime;`
| `function GetValidExpiry: TCefBaseTime;`
| `function GetValidStartAsDateTime: TDateTime;`
| `function GetValidExpiryAsDateTime: TDateTime;`
| `function GetDerEncoded: ICefBinaryValue;`
| `function GetPemEncoded: ICefBinaryValue;`
| `function GetIssuerChainSize: NativeUInt;`
| `procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
| `procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
| `class function UnWrap(data: Pointer): ICefX509Certificate;`

## Description

### Methods

| `function GetSubject: ICefX509CertPrincipal;`
This item has no description. Showing description inherited from ICefX509Certificate.GetSubject. Returns the subject of the X.509 certificate. For HTTPS server certificates this represents the web server. The common name of the subject should match the host name of the web server.

| `function GetIssuer: ICefX509CertPrincipal;`
This item has no description. Showing description inherited from ICefX509Certificate.GetIssuer. Returns the issuer of the X.509 certificate.

| `function GetSerialNumber: ICefBinaryValue;`
This item has no description. Showing description inherited from ICefX509Certificate.GetSerialNumber. Returns the DER encoded serial number for the X.509 certificate. The value possibly includes a leading 00 byte.

| `function GetValidStart: TCefBaseTime;`
This item has no description. Showing description inherited from ICefX509Certificate.GetValidStart. Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidExpiry: TCefBaseTime;`
This item has no description. Showing description inherited from ICefX509Certificate.GetValidExpiry. Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidStartAsDateTime: TDateTime;`
This item has no description. Showing description inherited from ICefX509Certificate.GetValidStartAsDateTime. Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidExpiryAsDateTime: TDateTime;`
This item has no description. Showing description inherited from ICefX509Certificate.GetValidExpiryAsDateTime. Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetDerEncoded: ICefBinaryValue;`
This item has no description. Showing description inherited from ICefX509Certificate.GetDerEncoded. Returns the DER encoded data for the X.509 certificate.

| `function GetPemEncoded: ICefBinaryValue;`
This item has no description. Showing description inherited from ICefX509Certificate.GetPemEncoded. Returns the PEM encoded data for the X.509 certificate.

| `function GetIssuerChainSize: NativeUInt;`
This item has no description. Showing description inherited from ICefX509Certificate.GetIssuerChainSize. Returns the number of certificates in the issuer chain. If 0, the certificate is self-signed.

| `procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
This item has no description. Showing description inherited from ICefX509Certificate.GetDEREncodedIssuerChain. Returns the DER encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

| `procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
This item has no description. Showing description inherited from ICefX509Certificate.GetPEMEncodedIssuerChain. Returns the PEM encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

| `class function UnWrap(data: Pointer): ICefX509Certificate;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.